=== src/rocketchatrestapi-qt/autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020-2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
add_definitions(-DRUQOLA_DATA_DIR="${CMAKE_CURRENT_SOURCE_DIR}/data")
macro(add_rocketchatrestapi_test _source)
    set(_test ${_source})
    get_filename_component(_name ${_source} NAME_WE)
    add_executable(${_name} ${_test} ${_name}.h)
    add_test(NAME ${_name} COMMAND ${_name})
    ecm_mark_as_test(${_name})
    target_link_libraries(${_name} Qt::Test librocketchatrestapi-qt)
    set_target_properties(${_name} PROPERTIES DISABLE_PRECOMPILE_HEADERS ON)
endmacro()

add_rocketchatrestapi_test(restapiutiltest.cpp)
add_rocketchatrestapi_test(restapimethodtest.cpp)
add_rocketchatrestapi_test(serverinfojobtest.cpp)
add_rocketchatrestapi_test(uploadfilejobtest.cpp)
add_rocketchatrestapi_test(owninfojobtest.cpp)
add_rocketchatrestapi_test(getavatarjobtest.cpp)
add_rocketchatrestapi_test(logoutjobtest.cpp)
add_rocketchatrestapi_test(loginjobtest.cpp)
add_rocketchatrestapi_test(privateinfojobtest.cpp)
add_rocketchatrestapi_test(channellistjobtest.cpp)
add_rocketchatrestapi_test(starmessagejobtest.cpp)
add_rocketchatrestapi_test(downloadfilejobtest.cpp)
add_rocketchatrestapi_test(pinmessagejobtest.cpp)
add_rocketchatrestapi_test(postmessagejobtest.cpp)
add_rocketchatrestapi_test(changechanneltopicjobtest.cpp)
add_rocketchatrestapi_test(changechannelannouncementjobtest.cpp)
add_rocketchatrestapi_test(changegroupstopicjobtest.cpp)
add_rocketchatrestapi_test(changegroupsannouncementjobtest.cpp)
add_rocketchatrestapi_test(changechannelnamejobtest.cpp)
add_rocketchatrestapi_test(changegroupsnamejobtest.cpp)
add_rocketchatrestapi_test(deletemessagejobtest.cpp)
add_rocketchatrestapi_test(createchanneljobtest.cpp)
add_rocketchatrestapi_test(creategroupsjobtest.cpp)
add_rocketchatrestapi_test(leavechanneljobtest.cpp)
add_rocketchatrestapi_test(leavegroupsjobtest.cpp)
add_rocketchatrestapi_test(updatemessagejobtest.cpp)
add_rocketchatrestapi_test(reactonmessagejobtest.cpp)
add_rocketchatrestapi_test(channelclosejobtest.cpp)
add_rocketchatrestapi_test(createdmjobtest.cpp)
add_rocketchatrestapi_test(channelhistoryjobtest.cpp)
add_rocketchatrestapi_test(changechanneldescriptionjobtest.cpp)
add_rocketchatrestapi_test(changegroupsdescriptionjobtest.cpp)
add_rocketchatrestapi_test(changechannelreadonlyjobtest.cpp)
add_rocketchatrestapi_test(archivechanneljobtest.cpp)
add_rocketchatrestapi_test(archivegroupsjobtest.cpp)
add_rocketchatrestapi_test(channelfilesjobtest.cpp)
add_rocketchatrestapi_test(channelinvitejobtest.cpp)
add_rocketchatrestapi_test(groupsinvitejobtest.cpp)
add_rocketchatrestapi_test(loademojicustomjobtest.cpp)
add_rocketchatrestapi_test(spotlightjobtest.cpp)
add_rocketchatrestapi_test(searchmessagejobtest.cpp)
add_rocketchatrestapi_test(savenotificationjobtest.cpp)
add_rocketchatrestapi_test(markroomasreadjobtest.cpp)
add_rocketchatrestapi_test(settingsoauthjobtest.cpp)
add_rocketchatrestapi_test(facebookauthjobtest.cpp)
add_rocketchatrestapi_test(googleauthjobtest.cpp)
add_rocketchatrestapi_test(twitterauthjobtest.cpp)
add_rocketchatrestapi_test(roomfavoritejobtest.cpp)
add_rocketchatrestapi_test(setjoincodechanneljobtest.cpp)
add_rocketchatrestapi_test(setavatarjobtest.cpp)
add_rocketchatrestapi_test(markroomasunreadjobtest.cpp)
add_rocketchatrestapi_test(forgotpasswordjobtest.cpp)
add_rocketchatrestapi_test(userinfojobtest.cpp)
add_rocketchatrestapi_test(userspresencejobtest.cpp)
add_rocketchatrestapi_test(ignoreuserjobtest.cpp)
add_rocketchatrestapi_test(channelremoveownerjobtest.cpp)
add_rocketchatrestapi_test(getpresencejobtest.cpp)
add_rocketchatrestapi_test(reportmessagejobtest.cpp)
add_rocketchatrestapi_test(resetavatarjobtest.cpp)
add_rocketchatrestapi_test(setgrouptypejobtest.cpp)
add_rocketchatrestapi_test(setchanneltypejobtest.cpp)
add_rocketchatrestapi_test(getchannelrolesjobtest.cpp)
add_rocketchatrestapi_test(getgrouprolesjobtest.cpp)
add_rocketchatrestapi_test(getusernamesuggestionjobtest.cpp)
add_rocketchatrestapi_test(permissionslistalljobtest.cpp)
add_rocketchatrestapi_test(listcommandsjobtest.cpp)
add_rocketchatrestapi_test(channeladdownerjobtest.cpp)
add_rocketchatrestapi_test(channeladdmoderatorjobtest.cpp)
add_rocketchatrestapi_test(groupaddmoderatorjobtest.cpp)
add_rocketchatrestapi_test(groupaddownerjobtest.cpp)
add_rocketchatrestapi_test(getmessagejobtest.cpp)
add_rocketchatrestapi_test(channelkickjobtest.cpp)
add_rocketchatrestapi_test(groupskickjobtest.cpp)
add_rocketchatrestapi_test(fetchmykeysjobtest.cpp)
add_rocketchatrestapi_test(setuserpublicandprivatekeysjobtest.cpp)
add_rocketchatrestapi_test(channeljoinjobtest.cpp)
add_rocketchatrestapi_test(roomleavejobtest.cpp)
add_rocketchatrestapi_test(getroomsjobtest.cpp)
add_rocketchatrestapi_test(channelinfojobtest.cpp)
add_rocketchatrestapi_test(groupsinfojobtest.cpp)
add_rocketchatrestapi_test(channelgetallusermentionsjobtest.cpp)
add_rocketchatrestapi_test(queryparameterstest.cpp)
add_rocketchatrestapi_test(opendmjobtest.cpp)
add_rocketchatrestapi_test(groupremoveownerjobtest.cpp)
add_rocketchatrestapi_test(groupaddleaderjobtest.cpp)
add_rocketchatrestapi_test(groupremoveleaderjobtest.cpp)
add_rocketchatrestapi_test(groupremovemoderatorjobtest.cpp)
add_rocketchatrestapi_test(channelremovemoderatorjobtest.cpp)
add_rocketchatrestapi_test(channeldeletejobtest.cpp)
add_rocketchatrestapi_test(groupsdeletejobtest.cpp)
add_rocketchatrestapi_test(channelsmoderatorsjobtest.cpp)
add_rocketchatrestapi_test(channelmembersjobtest.cpp)
add_rocketchatrestapi_test(changegroupsreadonlyjobtest.cpp)
add_rocketchatrestapi_test(changegroupsencryptedjobtest.cpp)
add_rocketchatrestapi_test(channeladdleaderjobtest.cpp)
add_rocketchatrestapi_test(channelremoveleaderjobtest.cpp)
add_rocketchatrestapi_test(followmessagejobtest.cpp)
add_rocketchatrestapi_test(unfollowmessagejobtest.cpp)
add_rocketchatrestapi_test(roomstartdiscussionjobtest.cpp)
add_rocketchatrestapi_test(getdiscussionsjobtest.cpp)
add_rocketchatrestapi_test(getthreadsjobtest.cpp)
add_rocketchatrestapi_test(getthreadmessagesjobtest.cpp)
add_rocketchatrestapi_test(sendmessagejobtest.cpp)
add_rocketchatrestapi_test(emojicustomdeletejobtest.cpp)
add_rocketchatrestapi_test(getpinnedmessagesjobtest.cpp)
add_rocketchatrestapi_test(getsupportedlanguagesjobtest.cpp)
add_rocketchatrestapi_test(translatemessagejobtest.cpp)
add_rocketchatrestapi_test(syncthreadmessagesjobtest.cpp)
add_rocketchatrestapi_test(translatesavesettingsjobtest.cpp)
add_rocketchatrestapi_test(setstatusjobtest.cpp)
add_rocketchatrestapi_test(getstarredmessagesjobtest.cpp)
add_rocketchatrestapi_test(getsnippetedmessagesjobtest.cpp)
add_rocketchatrestapi_test(customuserstatuslistjobtest.cpp)
add_rocketchatrestapi_test(customsoundslistjobtest.cpp)
add_rocketchatrestapi_test(usersautocompletejobtest.cpp)
add_rocketchatrestapi_test(roomsautocompletechannelandprivatejobtest.cpp)
add_rocketchatrestapi_test(findorcreateinvitejobtest.cpp)
add_rocketchatrestapi_test(getcommandsjobtest.cpp)
add_rocketchatrestapi_test(runcommandjobtest.cpp)
add_rocketchatrestapi_test(user2fadisableemailjobtest.cpp)
add_rocketchatrestapi_test(user2faenableemailjobtest.cpp)
add_rocketchatrestapi_test(user2fasendemailcodejobtest.cpp)
add_rocketchatrestapi_test(deleteownaccountjobtest.cpp)
add_rocketchatrestapi_test(registeruserjobtest.cpp)
add_rocketchatrestapi_test(usersupdatejobtest.cpp)
add_rocketchatrestapi_test(usersupdateownbasicinfojobtest.cpp)
add_rocketchatrestapi_test(roomscleanhistoryjobtest.cpp)
add_rocketchatrestapi_test(adminroomsjobtest.cpp)
add_rocketchatrestapi_test(roomsinfojobtest.cpp)
add_rocketchatrestapi_test(channelgetcountersjobtest.cpp)
add_rocketchatrestapi_test(userssetpreferencesjobtest.cpp)
add_rocketchatrestapi_test(removeothertokensjobtest.cpp)
add_rocketchatrestapi_test(deleteuserjobtest.cpp)
add_rocketchatrestapi_test(userscreatejobtest.cpp)
add_rocketchatrestapi_test(customuserstatuscreatetestjob.cpp)
add_rocketchatrestapi_test(customuserstatusdeletetestjob.cpp)
add_rocketchatrestapi_test(customuserstatusupdatetestjob.cpp)
add_rocketchatrestapi_test(emojicustomupdatejobtest.cpp)
add_rocketchatrestapi_test(emojicustomcreatejobtest.cpp)
add_rocketchatrestapi_test(roomsexportjobtest.cpp)
add_rocketchatrestapi_test(statisticsjobtest.cpp)
add_rocketchatrestapi_test(userslistjobtest.cpp)
add_rocketchatrestapi_test(directoryjobtest.cpp)
add_rocketchatrestapi_test(saveroomsettingsjobtest.cpp)
add_rocketchatrestapi_test(getmentionedmessagesjobtest.cpp)
add_rocketchatrestapi_test(changearchivationstatejobtest.cpp)
add_rocketchatrestapi_test(listinvitejobtest.cpp)
add_rocketchatrestapi_test(teamslistroomsjobtest.cpp)
add_rocketchatrestapi_test(teamremoveroomjobtest.cpp)
add_rocketchatrestapi_test(teamupdateroomjobtest.cpp)
add_rocketchatrestapi_test(roomsautocompleteavailableforteamsjobtest.cpp)
add_rocketchatrestapi_test(teamaddroomsjobtest.cpp)
add_rocketchatrestapi_test(teamscreatejobtest.cpp)
add_rocketchatrestapi_test(createchannelteaminfotest.cpp)
add_rocketchatrestapi_test(teamremovemembersjobtest.cpp)
add_rocketchatrestapi_test(channelsconverttoteamjobtest.cpp)
add_rocketchatrestapi_test(teamdeletejobtest.cpp)
add_rocketchatrestapi_test(teamsinfojobtest.cpp)
add_rocketchatrestapi_test(groupsconverttoteamjobtest.cpp)
add_rocketchatrestapi_test(teamsautocompletejobtest.cpp)
add_rocketchatrestapi_test(setuseractivestatusjobtest.cpp)
add_rocketchatrestapi_test(roleslistjobtest.cpp)
add_rocketchatrestapi_test(createupdateuserinfotest.cpp)
add_rocketchatrestapi_test(stdoutqueuejobtest.cpp)
add_rocketchatrestapi_test(channelopenjobtest.cpp)
add_rocketchatrestapi_test(groupopenjobtest.cpp)
add_rocketchatrestapi_test(emojicustomalljobtest.cpp)
add_rocketchatrestapi_test(teamslistjobtest.cpp)
add_rocketchatrestapi_test(teamconverttochanneljobtest.cpp)
add_rocketchatrestapi_test(permissionupdatejobtest.cpp)
add_rocketchatrestapi_test(rolecreatejobtest.cpp)
add_rocketchatrestapi_test(roleupdatejobtest.cpp)
add_rocketchatrestapi_test(roledeletejobtest.cpp)
add_rocketchatrestapi_test(removeuserfromrolejobtest.cpp)
add_rocketchatrestapi_test(addusertorolejobtest.cpp)
add_rocketchatrestapi_test(getusersinrolejobtest.cpp)
add_rocketchatrestapi_test(deletedmjobtest.cpp)
add_rocketchatrestapi_test(adminroomsgetroomjobtest.cpp)
add_rocketchatrestapi_test(resetowne2ekeyjobtest.cpp)
add_rocketchatrestapi_test(listoauthappsjobtest.cpp)
add_rocketchatrestapi_test(oauthappsjobtest.cpp)
add_rocketchatrestapi_test(resettotpjobtest.cpp)
add_rocketchatrestapi_test(resete2ekeyjobtest.cpp)
add_rocketchatrestapi_test(updateadminsettingsjobtest.cpp)
add_rocketchatrestapi_test(updategroupkeyjobtest.cpp)
add_rocketchatrestapi_test(bannersdismissjobtest.cpp)
add_rocketchatrestapi_test(getbannersjobtest.cpp)
add_rocketchatrestapi_test(licensesisenterprisejobtest.cpp)
add_rocketchatrestapi_test(sessionslistjobtest.cpp)
add_rocketchatrestapi_test(sessionslogoutmejobtest.cpp)
add_rocketchatrestapi_test(getpersonalaccesstokensjobtest.cpp)
add_rocketchatrestapi_test(regeneratepersonalaccesstokenjobtest.cpp)
add_rocketchatrestapi_test(removepersonalaccesstokenjobtest.cpp)
add_rocketchatrestapi_test(generatepersonalaccesstokenjobtest.cpp)
add_rocketchatrestapi_test(userrequestdatadownloadjobtest.cpp)
add_rocketchatrestapi_test(roomsdeletejobtest.cpp)
add_rocketchatrestapi_test(oauthappscreatejobtest.cpp)
add_rocketchatrestapi_test(videoconferenceprovidersjobtest.cpp)
add_rocketchatrestapi_test(videoconferencecapabilitiesjobtest.cpp)
add_rocketchatrestapi_test(videoconferencestartjobtest.cpp)
add_rocketchatrestapi_test(videoconferencejoinjobtest.cpp)
add_rocketchatrestapi_test(videoconferenceinfojobtest.cpp)
add_rocketchatrestapi_test(videoconferencecanceljobtest.cpp)
add_rocketchatrestapi_test(sendinvitationemailjobtest.cpp)
add_rocketchatrestapi_test(syncmessagesjobtest.cpp)
add_rocketchatrestapi_test(moderationreportsbyusersjobtest.cpp)
add_rocketchatrestapi_test(moderationreportsjobtest.cpp)
