=== src/plugins/textplugin/webshortcut/autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020-2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
