## ruqola 1.7.3

=== debian/changelog ===
ruqola (1.7.3-0xneon+22.04+jammy+release+build3) jammy; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Tue, 02 Aug 2022 10:46:52 +0000

ruqola (1.7.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 03 Apr 2022 05:21:17 +0000

ruqola (1.6.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Feb 2022 05:21:09 +0000

ruqola (1.6.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 04 Feb 2022 05:21:06 +0000

ruqola (1.6.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 25 Dec 2021 05:21:06 +0000

ruqola (1.6.0-0neon) xenial; urgency=medium

  * Initial package

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:27:47 +0000
