=== debian/control ===
Source: ruqola
Section: kde
Priority: optional
Build-Depends: appstream,
               cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.1.0~),
               kirigami2-dev,
               kuserfeedback-dev,
               libkf5coreaddons-dev,
               libkf5crash-dev,
               libkf5doctools-dev,
               libkf5i18n-dev,
               libkf5idletime-dev,
               libkf5kio-dev,
               libkf5networkmanagerqt-dev,
               libkf5notifications-dev,
               libkf5notifyconfig-dev,
               libkf5prison-dev,
               libkf5syntaxhighlighting-dev,
               libqt5networkauth5-dev,
               libqt5svg5-dev,
               libqt5texttospeech5-dev,
               libqt5websockets5-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qml-module-org-kde-kirigami2,
               qt5keychain-dev,
               qtbase5-dev (>= 5.2.0~),
               qtdeclarative5-dev,
               qtdeclarative5-dev-tools,
               qtmultimedia5-dev
Standards-Version: 3.9.8
Homepage: http://www.kde.org/
Vcs-Git: https://invent.kde.org/neon/neon-packaging/ruqola.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/ruqola
Maintainer: Neon CI <neon@kde.org>

Package: ruqola
Architecture: any
Section: devel
Depends: qml-module-org-kde-kirigami2, ${misc:Depends}, ${shlibs:Depends}
Description: Rocket.Chat Desktop Client
 Application which lets you chat with Rocket.Chat.
