## ruqola 1.7.4

=== debian/changelog ===
ruqola (1.7.4-0xneon+22.04+jammy+release+build4) jammy; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 25 Aug 2022 10:59:13 +0000

ruqola (1.7.4-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 25 Aug 2022 10:57:56 +0000
