## ruqola 1.8.1

=== debian/changelog ===
ruqola (1.8.1-0xneon+22.04+jammy+release+build5) jammy; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 20 Oct 2022 05:22:19 +0000

ruqola (1.8.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Oct 2022 05:21:19 +0000
