## ruqola 1.9.1

=== debian/changelog ===
ruqola (1.9.1-0xneon+22.04+jammy+release+build7) jammy; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Fri, 03 Feb 2023 23:37:44 +0000

ruqola (1.9.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 05:21:19 +0000
