=== debian/control ===
--- 
+++ 
@@ -17,6 +17,7 @@
                libkf5notifications-dev,
                libkf5notifyconfig-dev,
                libkf5prison-dev,
+               libkf5purpose-dev,
                libkf5syntaxhighlighting-dev,
                libqt5networkauth5-dev,
                libqt5svg5-dev,
