## ruqola 2.0.0-0~git~siduction.2

=== debian/changelog ===
ruqola (2.0.0-0~git~siduction.2) unstable; urgency=medium

  * new git snapshot

 -- Torsten Wohlfarth <towo@siduction.org>  Sun, 15 Oct 2023 22:53:23 +0200

ruqola (2.0.0-0~git~siduction.1) unstable; urgency=medium

  * switch to 2.0 branch

 -- Torsten Wohlfarth <towo@siduction.org>  Mon, 18 Sep 2023 14:13:38 +0200

ruqola (1.9.80-1~git~siduction.1) unstable; urgency=medium

  * new git snapshot

 -- Torsten Wohlfarth <towo@siduction.org>  Wed, 16 Aug 2023 20:53:57 +0200

ruqola (1.9.67-1~git~siduction.1) unstable; urgency=medium

  * git snapshot

 -- Torsten Wohlfarth <towo@siduction.org>  Thu, 20 Jul 2023 22:00:35 +0200

ruqola (1.9.64-1~git~siduction.1) unstable; urgency=medium

  * git snapshot

 -- Torsten Wohlfarth <towo@siduction.org>  Fri, 30 Jun 2023 12:15:55 +0200

ruqola (1.9.59-1~git~siduction.1) unstable; urgency=medium

  * new git snapshot

 -- Torsten Wohlfarth <towo@siduction.org>  Mon, 05 Jun 2023 13:48:45 +0200

ruqola (1.9.55-1~git~siduction.1) unstable; urgency=medium

  * new git snapshot

 -- Torsten Wohlfarth <towo@siduction.org>  Tue, 02 May 2023 15:06:09 +0200

ruqola (1.9.54-1~git~siduction.1) unstable; urgency=medium

  * new git snapshot

 -- Torsten Wohlfarth <towo@siduction.org>  Thu, 30 Mar 2023 11:55:30 +0200

ruqola (1.9.52-1~siduction.1) unstable; urgency=medium

  * now realy a new snapshot

 -- Torsten Wohlfarth <towo@siduction.org>  Mon, 13 Mar 2023 23:53:13 +0100

ruqola (1.9.52-0~siduction.1) unstable; urgency=medium

  * new git snapshot

 -- Torsten Wohlfarth <towo@siduction.org>  Mon, 13 Mar 2023 23:48:41 +0100

ruqola (1.9.47-0~siduction.1) unstable; urgency=medium

  * new git snapshot

 -- Torsten Wohlfarth <towo@siduction.org>  Tue, 21 Feb 2023 13:40:19 +0100

ruqola (1.9.45-0~siduction.1) unstable; urgency=medium

  * new git snapshot

 -- Torsten Wohlfarth <towo@siduction.org>  Sat, 11 Feb 2023 13:48:10 +0100

ruqola (1.9.43-0~siduction.1) unstable; urgency=medium

  * new git snapshot

 -- Torsten Wohlfarth <towo@siduction.org>  Thu, 02 Feb 2023 20:26:28 +0100

ruqola (1.9.41-0~siduction.1) unstable; urgency=medium

  * new upstream version

 -- Torsten Wohlfarth <towo@siduction.org>  Thu, 12 Jan 2023 10:57:50 +0100

ruqola (1.8.49-~siduction.1) unstable; urgency=medium

  * update from git

 -- Torsten Wohlfarth <towo@siduction.org>  Tue, 22 Nov 2022 16:01:13 +0100

ruqola (1.8.1-0~siduction.3) unstable; urgency=medium

  * update from git

 -- Torsten Wohlfarth <towo@siduction.org>  Thu, 10 Nov 2022 14:21:49 +0100

ruqola (1.8.1-0~siduction.2) unstable; urgency=medium

  * update from git

 -- Torsten Wohlfarth <towo@siduction.org>  Mon, 31 Oct 2022 22:08:51 +0100

ruqola (1.8.1-0~siduction.1) unstable; urgency=medium

  * new upstream version

 -- Torsten Wohlfarth <towo@siduction.org>  Fri, 28 Oct 2022 12:58:22 +0200

ruqola (1.8.0-0~siduction.1) unstable; urgency=medium

  * New upstream release.

 -- Torsten Wohlfarth <towo@tuxedocomputers.com>  Fri, 02 Sep 2022 09:36:12 +0200
