=== debian/control ===
--- 
+++ 
@@ -18,10 +18,12 @@
                libkf5notifyconfig-dev,
                libkf5prison-dev,
                libkf5purpose-dev,
+               libkf5sonnet-dev,
                libkf5syntaxhighlighting-dev,
                libqt5networkauth5-dev,
                libqt5svg5-dev,
                libqt5texttospeech5-dev,
+               libkf5textwidgets-dev,
                libqt5websockets5-dev,
                pkg-config,
                pkg-kde-tools (>= 0.12),
@@ -35,11 +37,12 @@
 Homepage: http://www.kde.org/
 Vcs-Git: https://invent.kde.org/neon/neon-packaging/ruqola.git
 Vcs-Browser: https://invent.kde.org/neon/neon-packaging/ruqola
-Maintainer: Neon CI <neon@kde.org>
+Maintainer: Torsten Wohlfarth <two@tuxedocomputers.com>
+XSBC-Original-Maintainer: <debian-qt-kde@lists.debian.org>
 
 Package: ruqola
-Architecture: any
-Section: devel
+Architecture: amd64
+Section: net
 Depends: qml-module-org-kde-kirigami2, ${misc:Depends}, ${shlibs:Depends}
 Description: Rocket.Chat Desktop Client
  Application which lets you chat with Rocket.Chat.
