=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+export DEB_BUILD_OPTIONS += noddebs
+export DEB_BUILD_OPTIONS += nocheck
 
 export QT_SELECT=qt5
