## ruqola 2.5.3

=== debian/changelog ===
ruqola (2.5.3-0zneon+24.04+noble+release+build9) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Fri, 12 Sep 2025 05:31:38 +0000

ruqola (2.5.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 12 Sep 2025 05:21:39 +0000

ruqola (2.5.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 08 Aug 2025 05:21:11 +0000

ruqola (2.4.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 24 Jan 2025 05:21:10 +0000

ruqola (2.4.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 18 Dec 2024 14:01:45 +0000

ruqola (2.3.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 19 Sep 2024 14:36:55 +0000

ruqola (2.2.0-0neon) noble; urgency=medium

  * New release

 -- Jonathan Riddell <jr@jriddell.org>  Wed, 05 Jun 2024 18:50:11 +0100

ruqola (2.1.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 16 Mar 2024 05:21:19 +0000

ruqola (2.1.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Sep 2023 05:21:23 +0000

ruqola (1.9.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 05:21:19 +0000
