## ruqola 2.5.3+p24.04+vstable+git20250928.1340

=== debian/changelog ===
ruqola (2.5.3+p24.04+vstable+git20250928.1340-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 28 Sep 2025 13:40:22 +0000
