## ruqola 2.5.3+p24.04+vstable+git20251005.1109

=== debian/changelog ===
ruqola (2.5.3+p24.04+vstable+git20251005.1109-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 05 Oct 2025 11:09:07 +0000
