=== debian/control ===
Source: ruqola
Section: kde
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               extra-cmake-modules,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-kdoctools-dev,
               kf6-ki18n-dev,
               kf6-kidletime-dev,
               kf6-kio-dev,
               kf6-knotifications-dev,
               kf6-knotifyconfig-dev,
               kf6-kstatusnotifieritem-dev,
               kf6-ktextaddons-dev,
               kf6-kuserfeedback-dev,
               kf6-networkmanager-qt-dev,
               kf6-prison-dev,
               kf6-purpose-dev,
               kf6-syntax-highlighting-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-multimedia-dev,
               qt6-networkauth-dev,
               qt6-speech-dev,
               qt6-svg-dev,
               qt6-websockets-dev,
               qtkeychain-qt6-dev
Standards-Version: 3.9.8
Homepage: http://www.kde.org/
Vcs-Git: https://invent.kde.org/neon/neon-packaging/ruqola.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/ruqola
Maintainer: Neon CI <neon@kde.org>

Package: ruqola
Architecture: any
Section: devel
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Rocket.Chat Desktop Client
 Application which lets you chat with Rocket.Chat.
