## ruqola 2.6.0

=== debian/changelog ===
ruqola (2.6.0-0zneon+24.04+noble+release+build15) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 01:03:12 +0000

ruqola (2.6.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 06:45:52 +0000
