## ruqola 2.6.0+p24.04+vstable+git20251015.1735

=== debian/changelog ===
ruqola (2.6.0+p24.04+vstable+git20251015.1735-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 17:35:29 +0000
