## ruqola 2.6.0+p24.04+vstable+git20251019.0618

=== debian/changelog ===
ruqola (2.6.0+p24.04+vstable+git20251019.0618-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 06:18:23 +0000
