## ruqola 2.6.0+p24.04+vstable+git20251021.0352

=== debian/changelog ===
ruqola (2.6.0+p24.04+vstable+git20251021.0352-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 03:52:50 +0000
