=== debian/control ===
--- 
+++ 
@@ -20,6 +20,7 @@
                kf6-purpose-dev,
                kf6-syntax-highlighting-dev,
                pkg-kde-tools-neon,
+               plasma-activities-dev,
                qt6-base-dev,
                qt6-declarative-dev,
                qt6-multimedia-dev,
@@ -27,8 +28,10 @@
                qt6-speech-dev,
                qt6-svg-dev,
                qt6-websockets-dev,
-               qtkeychain-qt6-dev
-Standards-Version: 3.9.8
+               qtkeychain-qt6-dev,
+               reuse,
+               spdx-licenses
+Standards-Version: 4.6.2
 Homepage: http://www.kde.org/
 Vcs-Git: https://invent.kde.org/neon/neon-packaging/ruqola.git
 Vcs-Browser: https://invent.kde.org/neon/neon-packaging/ruqola
