## ruqola 2.6.0+p24.04+vstable+git20251028.1012

=== debian/changelog ===
ruqola (2.6.0+p24.04+vstable+git20251028.1012-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 10:12:57 +0000
